Subject: Re: [bug] cygwin-1.5.6-1: corruption on tar | bzip2 > file.tar.bz2
From: Ilya Pobelov <[email-masked]>
To: [email-masked]
Date: Sun, 25 Jan 2004 14:25:07 +0100

>>After installing cygwin-1.5.6-1 files created with
>>tar -c <names> | bzip2 > file.tar.bz2
>>were corrupted (bzip2 reports CRC cheking error when trying to unpack).
>>With cygwin-1.5.6-1 such command works as expected.

I am very sorry, I made a missprint. Everything worked fine with 
previous version cygwin-1.5.5-1

 >The tar command + pipe that you specify would not produce a compressed
 >tar archive since tar -c <names> would not produce anything on stdout
 >for bzip2 to compress.  If that is truly what you are doing then things
 >are working as expected.  The compressed output from bzip2 would
 >essentially be garbage.
 >
 >I tried using something like:
 >
 >tar cf - *  | bzip2 > file.tar.bz2
 >
 >and that worked as expected.

An example:

bash-2.05b$ tar -c work | bzip2 > work.tar.bz2
bash-2.05b$ bzip2 -t work.tar.bz2
bzip2: work.tar.bz2: data integrity (CRC) error in data

You can use the `bzip2recover' program to attempt to recover
data from undamaged sections of corrupted files.

bash-2.05b$ rm work.tar.bz2
bash-2.05b$ tar -cf - work | bzip2 > work.tar.bz2
bash-2.05b$ bzip2 -t work.tar.bz2
bzip2: work.tar.bz2: data integrity (CRC) error in data

You can use the `bzip2recover' program to attempt to recover
data from undamaged sections of corrupted files.

System configuration (cygcheck -s, some information skipped):

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Sun Jan 25 13:53:15 2004

Windows 98 SE Ver 4.10 Build 2222

Path:	Z:.
	C:\NOVELL\CLIENT32
	C:\PROGRAM FILES\UTILS
	C:\CYGWIN\BIN
	C:\WINDOWS
	C:\WINDOWS\COMMAND

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

Use `-r' to scan registry

a:  fd           N/A    N/A
c:  hd  FAT32   8142Mb  36% CP    UN           DRIVE
d:  hd  FAT32  15485Mb  16% CP    UN
e:  hd  FAT32  15586Mb  49% CP    UN
g:  cd           N/A    N/A
i:  fd           N/A    N/A
s:  net OS2       48Mb  41% CP                 SYS
t:  net OS2     2047Mb   0% CP                 TEMP
v:  net OS2      488Mb   0% CP                 USER
w:  net OS2      488Mb   0% CP                 USER
z:  net OS2       48Mb  41% CP                 SYS

C:\cygwin\usr\X11R6\lib\X11\fonts  /usr/X11R6/lib/X11/fonts  system  binmode
C:\cygwin                          /                         system 
textmode
C:\cygwin/bin                      /usr/bin                  system 
textmode
C:\cygwin/lib                      /usr/lib                  system 
textmode
.                                  /cygdrive                 system 
textmode,cygdrive

Found: C:\CYGWIN\BIN\awk.exe
Found: C:\CYGWIN\BIN\bash.exe
Found: C:\CYGWIN\BIN\cat.exe
Found: C:\CYGWIN\BIN\cp.exe
Found: C:\CYGWIN\BIN\cpp.exe
Found: C:\CYGWIN\BIN\find.exe
Found: C:\WINDOWS\COMMAND\find.exe
Found: C:\CYGWIN\BIN\gcc.exe
Not Found: gdb
Found: C:\CYGWIN\BIN\grep.exe
Found: C:\CYGWIN\BIN\ld.exe
Found: C:\CYGWIN\BIN\ls.exe
Not Found: make
Found: C:\CYGWIN\BIN\mv.exe
Found: C:\CYGWIN\BIN\rm.exe
Found: C:\CYGWIN\BIN\sed.exe
Found: C:\CYGWIN\BIN\sh.exe
Found: C:\CYGWIN\BIN\tar.exe

    19k 2003/03/22 C:\CYGWIN\BIN\cyggdbm.dll
    28k 2003/07/20 C:\CYGWIN\BIN\cyggdbm-3.dll
    15k 2003/07/20 C:\CYGWIN\BIN\cyggdbm_compat-3.dll
    30k 2003/08/11 C:\CYGWIN\BIN\cyggdbm-4.dll
    15k 2003/08/11 C:\CYGWIN\BIN\cyggdbm_compat-4.dll
    12k 2003/08/10 C:\CYGWIN\BIN\cyggettextpo-0.dll
    69k 2003/08/10 C:\CYGWIN\BIN\cyggettextlib-0-12-1.dll
   134k 2003/08/10 C:\CYGWIN\BIN\cyggettextsrc-0-12-1.dll
   958k 2003/08/10 C:\CYGWIN\BIN\cygiconv-2.dll
    22k 2001/12/13 C:\CYGWIN\BIN\cygintl-1.dll
    37k 2003/08/10 C:\CYGWIN\BIN\cygintl-2.dll
    45k 2001/04/25 C:\CYGWIN\BIN\cygform5.dll
    26k 2001/04/25 C:\CYGWIN\BIN\cygmenu5.dll
   156k 2001/04/25 C:\CYGWIN\BIN\cygncurses++5.dll
   226k 2001/04/25 C:\CYGWIN\BIN\cygncurses5.dll
    15k 2001/04/25 C:\CYGWIN\BIN\cygpanel5.dll
    35k 2002/01/09 C:\CYGWIN\BIN\cygform6.dll
    20k 2002/01/09 C:\CYGWIN\BIN\cygmenu6.dll
   175k 2002/01/09 C:\CYGWIN\BIN\cygncurses++6.dll
   202k 2002/01/09 C:\CYGWIN\BIN\cygncurses6.dll
    12k 2002/01/09 C:\CYGWIN\BIN\cygpanel6.dll
    48k 2003/08/09 C:\CYGWIN\BIN\cygform7.dll
    29k 2003/08/09 C:\CYGWIN\BIN\cygmenu7.dll
   224k 2003/08/09 C:\CYGWIN\BIN\cygncurses7.dll
    19k 2003/08/09 C:\CYGWIN\BIN\cygpanel7.dll
    63k 2003/04/11 C:\CYGWIN\BIN\cygpcre.dll
    61k 2003/04/11 C:\CYGWIN\BIN\cygpcreposix.dll
    22k 2002/06/09 C:\CYGWIN\BIN\cygpopt-0.dll
    17k 2001/06/28 C:\CYGWIN\BIN\cyghistory4.dll
   108k 2001/06/28 C:\CYGWIN\BIN\cygreadline4.dll
    29k 2003/08/10 C:\CYGWIN\BIN\cyghistory5.dll
   148k 2003/08/10 C:\CYGWIN\BIN\cygreadline5.dll
    62k 2003/12/11 C:\CYGWIN\BIN\cygpcre-0.dll
     9k 2003/12/11 C:\CYGWIN\BIN\cygpcreposix-0.dll
   645k 2003/04/11 C:\CYGWIN\BIN\cygcrypto.dll
   165k 2003/04/11 C:\CYGWIN\BIN\cygssl.dll
    60k 2003/08/09 C:\CYGWIN\BIN\cygz.dll
    61k 2003/08/09 C:\CYGWIN\BIN\cygbz2-1.dll
   842k 2003/09/30 C:\CYGWIN\BIN\cygcrypto-0.9.7.dll
   171k 2003/09/30 C:\CYGWIN\BIN\cygssl-0.9.7.dll
     7k 2003/10/19 C:\CYGWIN\BIN\cygcrypt-0.dll
   476k 2003/12/01 C:\CYGWIN\BIN\cygnaim_core-0.dll
  1085k 2004/01/19 C:\CYGWIN\BIN\CYGWIN1.DLL

Cygwin Package Information
Package              Version
_update-info-dir     00226-1
ash                  20031007-1
base-files           2.6-1
base-passwd          1.1-1
bash                 2.05b-16
bc                   1.06-1
binutils             20030901-1
bzip2                1.0.2-5
check                0.8.4-1
crypt                1.1-1
cvs                  1.11.6-3
cygwin               1.5.6-1
diffutils            2.8.4-1
editrights           1.01-1
file                 4.06-1
fileutils            4.1-2
findutils            4.1.7-4
gawk                 3.1.3-4
gcc                  3.3.1-3
gcc-mingw-core       20031020-1
gdbm                 1.8.3-7
gnupg                1.2.2-3
grep                 2.5-1
groff                1.18.1-2
gzip                 1.3.5-1
less                 381-1
libbz2_1             1.0.2-5
libgdbm              1.8.0-5
libgdbm-devel        1.8.3-7
libgdbm3             1.8.3-3
libgdbm4             1.8.3-7
libgettextpo0        0.12.1-3
libiconv2            1.9.1-3
libintl1             0.10.40-1
libintl2             0.12.1-3
libncurses5          5.2-1
libncurses6          5.2-8
libncurses7          5.3-4
libpcre              4.1-1
libpcre0             4.5-1
libpopt0             1.6.4-4
libreadline4         4.1-2
libreadline5         4.3-5
links                0.99pre14-1
login                1.9-7
man                  1.5k-2
mc                   4.6.0-4
mingw-runtime        3.2-1
mktemp               1.5-3
naim                 0.11.6.4-1
ncurses              5.3-4
openssh              3.7.1p2-2
openssl              0.9.7c-1
openssl096           0.9.6j-1
patch                2.5.8-8
procps               010801-2
readline             4.3-5
rsync                2.5.7-2
sed                  4.0.8-1
sh-utils             2.0.15-4
shutdown             1.4-1
tar                  1.13.25-5
termcap              20021106-2
terminfo             5.3_20030726-1
texinfo              4.2-4
textutils            2.0.21-1
units                1.77-1
vim                  6.2.098-1
w32api               2.4-1
which                1.5-2
wtf                  0.0.4-6
zlib                 1.1.4-4

P. S. Sorry for thread-breaking, I am not a mail-list subscriber.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/